#declare JET_STAND =

//Jet Stand
union {
//Jet
union {

//Main Fuslage
cylinder
{
  -4*x,  3*x,  1
  // open
  scale <1,1.5,1>
  pigment {Grey}
  finish {reflection 0.1}
}

//Main Fuslage Rear
sphere
{
  <0.5, 0, 0>
  1.0
  scale <6,1.5,1>
  pigment{Grey}
  finish {reflection 0.1}
}

//Nose Cone
sphere
{
  <-0.5, 0, 0>
  1.0
  scale <8,1.5,1>
  pigment{Grey}
  finish {reflection 0.1}
}

// Intake Main curve
torus
{
  0.95,
  0.05
 rotate <0,0,90>
 translate <-2,-0.5,0>
 scale <1,1,3>
 pigment {Grey}
 finish {reflection 0.1}
}

// Intake Main Fuslage
cone
{
  -2*x,  1.0,
   9*x,  0.6
  open
  scale <1,1,3>
  translate <0,-0.5,0>
  pigment {Grey}
  finish {reflection 0.1}
}

// Canopy
sphere
{
  <-0.7, 1, 0>
  0.5
  scale <7,2,1.5>
  translate <1,-1.0,0>
  rotate <0,0,-2>
  texture {T_Glass2
          finish {reflection 0.7}
        }
}

//Pilots Head
sphere
{
  <-4.45, 1.5, 0>
  0.4
  pigment {Blue}
  finish {reflection 0.4}
}
sphere
{
  <-4.46, 1.495, 0>
  0.4
  pigment {Black}
  finish {reflection 0.6}
}

//Spine Behind Canopy
cylinder
{
  -2*x,  5*x,  0.3
  scale <1,1,0.8>
  translate <0,1.4,0>
  rotate <0,0,-4>
  pigment {Grey}
  finish {reflection 0.1}
}

//Nav Light Top
sphere
{
  <0, 1.7, 0>
  0.2
    finish { reflection 1 }
    pigment {Red}
   }

//Nav Light Bottom
sphere
{
  <4, -1.5, 0>
  0.2
    finish { reflection 1 }
    pigment {Red}
   }

//Left Engine
cylinder
{
  -1*x,  9*x,  1
  open
  scale <1,0.9,1>
  translate <0,-0.5,-1>
  pigment {Grey}
  finish {reflection 0.1}
}

//Right Engine
cylinder
{
  -1*x,  9*x,  1
  open
  scale <1,0.9,1>
  translate <0,-0.5,1>
  pigment {Grey}
  finish {reflection 0.1}
}

//Left Wing
polygon
{
  8, // number of points
  <-10, 0>, <-3, -2>, <-2, -3>, <6, -7>, <8, -7>, <6, -3>, <7, 0>, <-10, 0>
  rotate <90,0,0>
  translate <0,-0.5,0>
  pigment {Grey}
  finish {reflection 0.1}
}

//Left Wing Tip Piece
cylinder
{
  4*x,  8*x,  0.2
  translate <0,-0.5,-7>
  pigment {Firebrick}
  finish {F_MetalB}
}
sphere {
 <1,-0.5,-7>
 0.2
 scale <4,1,1>
 pigment {Firebrick}
 finish {F_MetalB}
}

//Right Wing
polygon
{
  8, // number of points
  <-10, 0>, <-3, 2>, <-2, 3>, <6, 7>, <8, 7>, <6, 3>, <7, 0>, <-10, 0>
  rotate <90,0,0>
  translate <0,-0.5,0>
  pigment {Grey}
  finish {reflection 0.1}
}

//Right Wing Tip Piece
cylinder
{
  4*x,  8*x,  0.2
  translate <0,-0.5,7>
  pigment {Firebrick}
  finish {F_MetalB}
}
sphere {
 <1,-0.5,7>
 0.2
 scale <4,1,1>
 pigment {Firebrick}
 finish {F_MetalB}
}

//Left Rudder
polygon
{
  7, // number of points
  <-2, 0, -1>, <3, 2, -1>, <7, 5, -1>, <9, 5, -1>, <8, 2, -1>, <10, 0, -1>, <-2, 0, -1>
  translate <0,-0.5,0>
  rotate <-20, 0, 0>
  pigment {Grey}
  finish {reflection 0.1}
}

//Right Rudder
polygon
{
  7, // number of points
  <-2, 0, 1>, <3, 2, 1>, <7, 5, 1>, <9, 5, 1>, <8, 2, 1>, <10, 0, 1>, <-2, 0, 1>
  translate <0,-0.5,0>
  rotate <20, 0, 0>
  pigment {Grey}
  finish {reflection 0.1}
  }

//Left engine exhaust
cone
{
  9*x,  1.0,
  10*x, 0.7
  open
  scale <1,0.9,1>
  translate <0, -0.5, -1>
  pigment {Firebrick}
  finish {F_MetalB}
}

//Right engine exhaust
cone
{
  9*x,  1.0,
  10*x, 0.7
  open
  scale <1,0.9,1>
  translate <0, -0.5, 1>
  pigment {Firebrick}
  finish {F_MetalB}
}
rotate <-30,-25,25>
}
difference {
           cone {
           1*y,  0.3,
           -1*y, 1.2
           texture {T_Copper_5E}
           scale <4,4,4>
           translate <0,-10,0>
           }
           cone {
           1*y,  0.1,
           -1.3*y, 1.0
           texture {T_Copper_5E}
           scale <4,4,4>
           translate <0,-10,0>
           }
           cylinder {
           -5*y,  5*y,  1.2
           texture  {T_Copper_5E}
           translate <0,-10,-4.0>
           }
           cylinder {
           -5*y,  5*y,  1.2
           texture  {T_Copper_5E}
           translate <0,-10,4.0>
           }
           cylinder {
           -5*y,  5*y,  1.2
           texture  {T_Copper_5E}
           translate <-4.0,-10,0.0>
           }
           cylinder {
           -5*y,  5*y,  1.2
           texture  {T_Copper_5E}
           translate <4.0,-10,-4.0>
           }
}           
cylinder {
-10*y,  1.2*y,  0.2
texture  {T_Chrome_1E}
}

}







